Loading...
Searching...
No Matches
Configuration

## Files

file | cpu_sched_vty.h
| API to CPU / Threading / Scheduler properties from VTY configuration.

## Functions

void | osmo_cpu_sched_vty_init (void *tall_ctx)
| Initialize sched VTY nodes.
int | osmo_cpu_sched_vty_apply_localthread (void)
| Apply cpu-affinity on calling thread based on VTY configuration.

## Detailed Description

## Function Documentation

## osmo_cpu_sched_vty_apply_localthread()

int osmo_cpu_sched_vty_apply_localthread | ( | void |  | ) |

Apply cpu-affinity on calling thread based on VTY configuration.

Returns
  0 on success, non-zero on error.

References cpu_affinity_it::bufname, sched_vty_opts::cpu_affinity_li, sched_vty_opts::cpu_affinity_li_mutex, cpu_affinity_it::cpuset, cpu_affinity_it::cpuset_size, cpu_affinity_it::entry, generate_cpu_hex_mask(), my_sched_setaffinity(), SCHED_VTY_THREAD_ALL, SCHED_VTY_THREAD_NAME, SCHED_VTY_THREAD_SELF, and cpu_affinity_it::tid_type.

## osmo_cpu_sched_vty_init()

void osmo_cpu_sched_vty_init | ( | void * | tall_ctx | ) |

Initialize sched VTY nodes.

Parameters

  [in] | tall_ctx | Talloc context to use internally by vty_sched subsystem.

Returns
  0 on success, non-zero on error.

References CONFIG_NODE, config_write_sched(), sched_vty_opts::cpu_affinity_li, sched_vty_opts::cpu_affinity_li_mutex, get_num_cpus(), install_lib_element(), install_lib_element_ve(), install_node(), L_CPU_SCHED_NODE, sched_node, and sched_vty_opts::tall_ctx.